RUN_SCALED(1)

NAME
run_scaled - run an X11 application upscaled or downscaled

SYNOPSIS
run_scaled [--scale=VALUE] application [application-arguments]
run_scaled [--scale=VALUE] [xpra-arguments] -- application [application-arguments]

DESCRIPTION
run_scaled uses xpra(1) to show any X11 application with arbitrary scaling applied.

EXAMPLES

run_scaled xterm -ls
    Starts the command "xterm -ls", with the default scaling of 2.
    The xterm window will be twice as big as it normally would be.

run_scaled --scale=250% firefox
    Start firefox, upscaled by 250%.

run_scaled --speaker=off --microphone=off -- wine notepad.exe
    Starts the command "wine notepad.exe", with audio inputs and outputs disabled (by additional Xpra arguments) and the default scaling of 2.

OPTIONS

--scale=VALUE
    The scaling factor to apply, specified as:

    number
        ie: 2, 1.5

    fraction
        ie: 3/2

    percentage
        ie: 250%
If unspecified, the default value is 2.

LIMITATIONS
The scaling value is limited to the range 0.1 to 10, and even within that range, values lower than 1 may not work correctly with large displays.

SEE ALSO
xpra(1)